# ncurses 6.1 - patch 20181125 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.1 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.1 can be found at
# 	ftp://ftp.invisible-island.net/ncurses/6.1
#	http://invisible-mirror.net/archives/ncurses/6.1 
#
# ------------------------------------------------------------------------------
# ftp://ftp.invisible-island.net/ncurses/6.1/ncurses-6.1-20181125.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Nov 25 11:38:20 UTC 2018
# ------------------------------------------------------------------------------
# NEWS                             |    5 ++++-
# VERSION                          |    2 +-
# dist.mk                          |    4 ++--
# ncurses/curses.priv.h            |    7 ++++---
# package/debian-mingw/changelog   |    4 ++--
# package/debian-mingw64/changelog |    4 ++--
# package/debian/changelog         |    4 ++--
# package/mingw-ncurses.nsi        |    4 ++--
# package/mingw-ncurses.spec       |    2 +-
# package/ncurses.spec             |    2 +-
# package/ncursest.spec            |    2 +-
# 11 files changed, 22 insertions(+), 18 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.3219 
--- ncurses-6.1-20181124+/NEWS	2018-11-24 22:39:15.000000000 +0000
+++ ncurses-6.1-20181125/NEWS	2018-11-25 11:29:51.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.3219 2018/11/24 22:39:15 tom Exp $
+-- $Id: NEWS,v 1.3222 2018/11/25 11:29:51 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,9 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20181125
+	+ build-fix (reports by Chih-Hsuan Yen, Sven Joachim).
+
 20181124
 	+ check --with-fallbacks option to ensure there is a value, and add
 	  the fallback information to top-level Makefile summary.
Index: VERSION
--- ncurses-6.1-20181124+/VERSION	2018-11-24 14:57:06.000000000 +0000
+++ ncurses-6.1-20181125/VERSION	2018-11-25 11:25:14.000000000 +0000
@@ -1 +1 @@
-5:0:10	6.1	20181124
+5:0:10	6.1	20181125
Index: dist.mk
Prereq:  1.1252 
--- ncurses-6.1-20181124+/dist.mk	2018-11-24 14:57:06.000000000 +0000
+++ ncurses-6.1-20181125/dist.mk	2018-11-25 11:25:14.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1252 2018/11/24 14:57:06 tom Exp $
+# $Id: dist.mk,v 1.1253 2018/11/25 11:25:14 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 1
-NCURSES_PATCH = 20181124
+NCURSES_PATCH = 20181125
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: ncurses/curses.priv.h
Prereq:  1.607 
--- ncurses-6.1-20181124+/ncurses/curses.priv.h	2018-11-24 17:27:36.000000000 +0000
+++ ncurses-6.1-20181125/ncurses/curses.priv.h	2018-11-25 11:26:03.000000000 +0000
@@ -34,7 +34,7 @@
  ****************************************************************************/
 
 /*
- * $Id: curses.priv.h,v 1.607 2018/11/24 17:27:36 tom Exp $
+ * $Id: curses.priv.h,v 1.608 2018/11/25 11:26:03 tom Exp $
  *
  *	curses.priv.h
  *
@@ -1724,6 +1724,9 @@
 #define T_CREATE(fmt) "create :" fmt
 #define T_RETURN(fmt) "return }" fmt
 
+#define NonNull(s)              ((s) != 0 ? s : "<null>")
+#define NonEmpty(s)             ((s) != 0 && *(s) != '\0')
+
 #ifdef TRACE
 
 #if USE_REENTRANT
@@ -1762,8 +1765,6 @@
 typedef void VoidFunc(void);
 
 #define TR_FUNC(value)          ((const char*) (value))
-#define NonNull(s)              ((s) != 0 ? s : "<null>")
-#define NonEmpty(s)             ((s) != 0 && *(s) != '\0')
 
 #define returnAttr(code)	TRACE_RETURN(code,attr_t)
 #define returnBits(code)	TRACE_RETURN(code,unsigned)
Index: package/debian-mingw/changelog
--- ncurses-6.1-20181124+/package/debian-mingw/changelog	2018-11-24 14:57:06.000000000 +0000
+++ ncurses-6.1-20181125/package/debian-mingw/changelog	2018-11-25 11:25:14.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.1+20181124) unstable; urgency=low
+ncurses6 (6.1+20181125) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 24 Nov 2018 09:57:06 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 25 Nov 2018 06:25:14 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.1-20181124+/package/debian-mingw64/changelog	2018-11-24 14:57:06.000000000 +0000
+++ ncurses-6.1-20181125/package/debian-mingw64/changelog	2018-11-25 11:25:14.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.1+20181124) unstable; urgency=low
+ncurses6 (6.1+20181125) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 24 Nov 2018 09:57:06 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 25 Nov 2018 06:25:14 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.1-20181124+/package/debian/changelog	2018-11-24 14:57:06.000000000 +0000
+++ ncurses-6.1-20181125/package/debian/changelog	2018-11-25 11:25:14.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.1+20181124) unstable; urgency=low
+ncurses6 (6.1+20181125) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 24 Nov 2018 09:57:06 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 25 Nov 2018 06:25:14 -0500
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.299 
--- ncurses-6.1-20181124+/package/mingw-ncurses.nsi	2018-11-24 14:57:06.000000000 +0000
+++ ncurses-6.1-20181125/package/mingw-ncurses.nsi	2018-11-25 11:25:14.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.299 2018/11/24 14:57:06 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.300 2018/11/25 11:25:14 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "1"
 !define VERSION_YYYY  "2018"
-!define VERSION_MMDD  "1124"
+!define VERSION_MMDD  "1125"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.1-20181124+/package/mingw-ncurses.spec	2018-11-24 14:57:06.000000000 +0000
+++ ncurses-6.1-20181125/package/mingw-ncurses.spec	2018-11-25 11:25:14.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.1
-Release: 20181124
+Release: 20181125
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.1-20181124+/package/ncurses.spec	2018-11-24 14:57:06.000000000 +0000
+++ ncurses-6.1-20181125/package/ncurses.spec	2018-11-25 11:25:14.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.1
-Release: 20181124
+Release: 20181125
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncursest.spec
--- ncurses-6.1-20181124+/package/ncursest.spec	2018-11-24 14:57:06.000000000 +0000
+++ ncurses-6.1-20181125/package/ncursest.spec	2018-11-25 11:25:14.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: Curses library with POSIX thread support.
 Name: ncursest6
 Version: 6.1
-Release: 20181124
+Release: 20181125
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
